* PACKAGE ASAVB (t-Δt)のデータをセーブ
*
*"  [HIS] 90/08/31(numaguti)
*
*
************************************************************************
      SUBROUTINE SAVEGB      !" (t-Δt)のデータをセーブ
     I         ( GBU   , GBV   , GBT   , GBPS  , GBQ   ,
     I           GBVOR , GBDIV                           )
*
#ifdef SYS_IBMS
      INCLUDE   (ZCDIM)                      !" 格子点数, 波数
#else
#include        "zcdim.F"                    !" 格子点数, 波数
#endif
*
      REAL       GBU   ( IDIM*JDIM*KMAX )    !" 西風  ｕ(t-Δt)
      REAL       GBV   ( IDIM*JDIM*KMAX )    !" 南風  ｖ(t-Δt)
      REAL       GBT   ( IDIM*JDIM*KMAX )    !" 温度  Ｔ(t-Δt)
      REAL       GBPS  ( IDIM*JDIM      )    !" 地表気圧(t-Δt)
      REAL       GBQ   ( IDIM*JDIM*KMAX )    !" 比湿  ｑ(t-Δt)
      REAL       GBVOR ( IDIM*JDIM*KMAX )    !" 渦度  ζ(t-Δt)
      REAL       GBDIV ( IDIM*JDIM*KMAX )    !" 発散  Ｄ(t-Δt)
*
*
      REAL       GBBU  ( IDIM*JDIM*KMAX )    !" 西風  ｕ セーブ値
      REAL       GBBV  ( IDIM*JDIM*KMAX )    !" 南風  ｖ セーブ値
      REAL       GBBT  ( IDIM*JDIM*KMAX )    !" 温度  Ｔ セーブ値
      REAL       GBBPS ( IDIM*JDIM      )    !" 地表気圧 セーブ値
      REAL       GBBQ  ( IDIM*JDIM*KMAX )    !" 比湿  ｑ セーブ値
      REAL       GBBVOR( IDIM*JDIM*KMAX )    !" 渦度  ζ セーブ値
      REAL       GBBDIV( IDIM*JDIM*KMAX )    !" 発散  Ｄ セーブ値
*
      CALL COPY ( GBBU  , GBU   , IDIM*JDIM*KMAX )
      CALL COPY ( GBBV  , GBV   , IDIM*JDIM*KMAX )
      CALL COPY ( GBBT  , GBT   , IDIM*JDIM*KMAX )
      CALL COPY ( GBBPS , GBPS  , IDIM*JDIM      )
      CALL COPY ( GBBQ  , GBQ   , IDIM*JDIM*KMAX )
      CALL COPY ( GBBVOR, GBVOR , IDIM*JDIM*KMAX )
      CALL COPY ( GBBDIV, GBDIV , IDIM*JDIM*KMAX )
*
      RETURN
*======================================================================
      ENTRY      LOADGB       !"  (t-Δt)のデータをロード 
     O         ( GBU   , GBV   , GBT   , GBPS  , GBQ   ,
     O           GBVOR , GBDIV                           )
*
      CALL COPY ( GBU   , GBBU  , IDIM*JDIM*KMAX )
      CALL COPY ( GBV   , GBBV  , IDIM*JDIM*KMAX )
      CALL COPY ( GBT   , GBBT  , IDIM*JDIM*KMAX )
      CALL COPY ( GBPS  , GBBPS , IDIM*JDIM      )
      CALL COPY ( GBQ   , GBBQ  , IDIM*JDIM*KMAX )
      CALL COPY ( GBVOR , GBBVOR, IDIM*JDIM*KMAX )
      CALL COPY ( GBDIV , GBBDIV, IDIM*JDIM*KMAX )
*
      RETURN
*======================================================================
      ENTRY      LOADGQ     !"  (t-Δt)の比湿をロード 
     O         ( GBQ    )
*
      CALL COPY ( GBQ   , GBBQ  , IDIM*JDIM*KMAX )
*
      RETURN
      END
